Subject: Re: bug#13210: [PATCH] maint: cygwin build broken

From: Stefano Lattarini <[email-masked]>
Date: Tue, 18 Dec 2012 11:30:19 +0100

On 12/18/2012 11:20 AM, Pádraig Brady wrote:
>
> [SNIP]
>
> Anyway an explicit `make doc/constants.texi` fails on my system too
> (with a non-src build), and so can fail in a larger build
> due to ordering of rules.
> 
> Since we're manually writing the doc/constants.texi rule anyway,
> I prefer to just add in the MKDIR_P which is the technique we
> use elsewhere in coreutils.
>
Yeah, but is a simpler and safer idiom.

>>> Only minor versions seem to be tagged?
>>>
>> How so?  I see:
>> <http://git.savannah.gnu.org/gitweb/?p=automake.git;a=commit;h=v1.12>
> 
> I was looking for a tag at each release. 1.11.6 etc.
>
<http://git.savannah.gnu.org/cgit/automake.git/tag/?id=v1.11.6>
<http://git.savannah.gnu.org/cgit/automake.git/tag/?id=v1.11.5>
<http://git.savannah.gnu.org/cgit/automake.git/tag/?id=v1.11.4>

etc ;-)

> They weren't done for the 1.11 series but they are in place
> since 1.12, for example:
> http://git.savannah.gnu.org/gitweb/?p=automake.git;a=commit;h=v1.12.5
> There's probably little need to retag older releases,
> so it's fine going forward.
> 

> [SNIP]

> It's good to know we could rely on am__dirstamp in future if needed.
>
Actually, that is an automake internal (as hinted by the 'am__'
prefix), and should not be relied upon if at all possible (like
it was in this case).

Best regards, and HTH,
  Stefano